# pyo3::class::gc::PyGCProtocol - Rust
GC support
Keywords: rust, rustlang, rust-lang, PyGCProtocol

# Trait pyo3::class::gc::PyGCProtocol [−] [src]

    pub trait PyGCProtocol<'p>: PyClass {
        fn __traverse__(&'p self, visit: PyVisit<'_>) -> Result<(), PyTraverseError>;
        fn __clear__(&'p mut self);
    }

GC support

## Required methods

### `fn __traverse__(&'p self, visit: PyVisit<'_>) -> Result<(), PyTraverseError>` [src]

### `fn __clear__(&'p mut self)` [src]

Loading content...

## Implementors

Loading content...